=== platforms/CMakeLists.txt ===
project(platforms)

if(UNIX AND NOT APPLE)
    add_subdirectory(linux)
endif()
if(WIN32)
    add_subdirectory(windows)
endif()
