## qlcplus 4.12.2

=== debian/changelog ===
qlcplus (4.12.2-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:09 +0100

qlcplus (4.12.2-2) unstable; urgency=medium

  * d/gbp.conf: Remove user-specific configuration
  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Switch upstream URL to HTTPS
  * d/watch: Ignore unstable releases by using special strings

 -- Jerome Lebleu <jerome@maroufle.fr>  Sun, 24 Nov 2019 15:51:20 +0100

qlcplus (4.12.2-1) unstable; urgency=medium

  * Initial release (Closes: #694077)

 -- Jerome Lebleu <jerome@maroufle.fr>  Mon, 26 Aug 2019 09:04:42 +0200
