=== debian/control ===
Source: qlcplus
Section: misc
Priority: optional
Maintainer: Jerome Lebleu <jerome@maroufle.fr>
Uploaders: Massimo Callegari <massimocallegari@yahoo.it>
Build-Depends: debhelper (>= 12~),
               libasound2-dev (>= 1.0.16),
               libfftw3-dev,
               libftdi1-dev,
               libmad0-dev,
               libqt5multimedia5-plugins,
               libsndfile1-dev,
               libudev-dev,
               libusb-dev (>= 2:0.1.12),
               libxml2-utils,
               pkg-config,
               qtbase5-dev (>= 5.6),
               qtmultimedia5-dev (>= 5.6),
               qtscript5-dev,
               qttools5-dev-tools,
               shared-mime-info (>= 0.71),
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 4.4.1
Homepage: https://www.qlcplus.org/
Vcs-Git: https://salsa.debian.org/jlebleu-guest/qlcplus.git
Vcs-Browser: https://salsa.debian.org/jlebleu-guest/qlcplus

Package: qlcplus
Architecture: any
Depends: qlcplus-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: libmad0, libsndfile1
Description: Control DMX or analog lighting systems
 Q Light Controller Plus is a software lighting desk for controlling
 DMX or analog lighting systems like moving heads, dimmers, scanners.
 .
 This project is a fork of the great QLC project written by Heikki Junnila
 that aims to continue the QLC development and to introduce new features. The
 primary goal is to bring QLC+ at the level of other lighting control commercial
 software.

Package: qlcplus-data
Architecture: all
Depends: ${misc:Depends}
Description: Control DMX or analog lighting systems (data files)
 Q Light Controller Plus is a software lighting desk for controlling
 DMX or analog lighting systems like moving heads, dimmers, scanners.
 .
 This project is a fork of the great QLC project written by Heikki Junnila
 that aims to continue the QLC development and to introduce new features. The
 primary goal is to bring QLC+ at the level of other lighting control commercial
 software.
 .
 This package contains architecture-independent data files.
