=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/QLC\+@ANY_VERSION@\.tar\.gz/@PACKAGE@-$1\.tar\.gz/" \
  https://github.com/mcallegari/qlcplus/releases \
  (?:.*/)QLC\+@ANY_VERSION@\.tar\.gz
